package eu.jonahbauer.wizard.common.messages.server;

import eu.jonahbauer.wizard.common.messages.observer.ObserverMessage;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class GameMessage extends ServerMessage {
    /**
     * Wrapped {@link ObserverMessage}
     */
    private final ObserverMessage observerMessage;
}
