package eu.jonahbauer.wizard.common.messages.server;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class SessionRemovedMessage extends ServerMessage {
    /**
     * UUID of the removed session
     */
    private final UUID session;
}
