package eu.jonahbauer.wizard.core.model;

import eu.jonahbauer.wizard.common.model.Card;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Value;
import lombok.With;
import lombok.experimental.Accessors;

import java.util.Set;

@Value
@Accessors(fluent = true)
@AllArgsConstructor(access = AccessLevel.PACKAGE)
public class GameConfiguration {
    Set<Card> cards;
    boolean allowExactPredictions;
    @With long timeout;
}
