package eu.jonahbauer.wizard.common.messages.server;

import eu.jonahbauer.wizard.common.messages.data.PlayerData;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public sealed class PlayerModifiedMessage extends ServerMessage permits PlayerJoinedMessage {
    /**
     * Joining player
     */
    private final PlayerData player;
}
