package eu.jonahbauer.wizard.common.messages.server;

import eu.jonahbauer.wizard.common.messages.data.SessionData;
import lombok.EqualsAndHashCode;
import lombok.Getter;

import java.util.List;

@Getter
@EqualsAndHashCode(callSuper = true)
public final class SessionListMessage extends ServerMessage implements Response {
    /**
     * List of available sessions
     */
    private final List<SessionData> sessions;

    public SessionListMessage(List<SessionData> sessions) {
        this.sessions = List.copyOf(sessions);
    }
}
