package eu.jonahbauer.wizard.common.messages.server;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class StartingGameMessage extends ServerMessage {
    /**
     * Time of game start in {@link System#currentTimeMillis() UNIX time}
     */
    private final long time;
}
